<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset='utf-8'>
    <title>viewOrder</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onPageLoading()">
    <div class="container">
        <p class="h3 text-left mt-5">Order Detail!!!</p>
        <div class="form-group col-12">
            <!-- <hr> class="mt-5, mp-5" -->
        </div>
        <div class="form-group">
            <label>Order Code (mã đơn hàng)</label>
            <input class="form-control" id="input-order" placholder="...">
        </div>
        <div>
            <label>Cỡ Combo</label>
            <select class="form-control" id="select-combo">
                <option value="0">Chọn cỡ combo</option>
                <option vlaue="S"> Nhỏ</option>
                <option value="M"> Vừa</option>
                <option value="L"> Lớn</option>
            </select>
        </div>
        <div class="form-group">
            <label>Đường kính</label>
            <input class="form-control" id="input-duong-kinh" placholder="...">
        </div>
        <div class="form-group">
            <label>Sường nướng</label>
            <input class="form-control" id="input-suong-nuong" placholder="...">
        </div>
        <div class="form-group">
            <label>Đồ uống</label>
            <select class="form-control" id="select-drink">
                <option value="0">Chọn đồ uống</option>
            </select>
        </div>
        <div class="form-group">
            <label>Số lượng nước uống</label>
            <input class="form-control" id="input-so-luong-nuoc-uong" placholder="...">
        </div>
        <div class="form-group">
            <label>Voucher</label>
            <input class="form-control" id="input-voucher" placholder="...">
        </div>
        <div class="form-group">
            <label>Loai Pizza</label>
            <select id="select-pizza" class="form-control">
                <option value="0"></option>
                <option value="Seafood">Hải sản</option>
                <option value="Hawaii">Ha Wai</option>
                <option value="Bacon">Thịt hun khói</option>
            </select>
        </div>
        <div class="form-group">
            <label>Salad</label>
            <input class="form-control" id="input-salad" placholder="...">
        </div>
        <div class="form-group">
            <label>Thanh tiền</label>
            <input class="form-control" id="input-thanh-tien" placholder="...">
        </div>
        <div class="form-group">
            <label>Giảm giá</label>
            <input class="form-control" id="input-giam-gia" placholder="...">
        </div>
        <div class="form-group">
            <label>Họ và tên</label>
            <input class="form-control" id="input-ho-ten" placholder="...">
        </div>
        <div class="form-group">
            <label>Email</label>
            <input class="form-control" id="input-email" placholder="...">
        </div>
        <div class="form-group">
            <label>Số điện thoại</label>
            <input class="form-control" id="input-so-dien-thoai" placholder="...">
        </div>
        <div class="form-group">
            <label>Địa chỉ</label>
            <input class="form-control" id="input-dia-chi" placholder="...">
        </div>
        <div class="form-group">
            <label>Lời nhắn</label>
            <input class="form-control" id="input-loi-nhan" placholder="...">
        </div>
        <div class="form-group">
            <label>Trạng thái đơn hàng</label>
            <input class="form-control" id="input-trang-thai-dh" placholder="...">
        </div>
        <div class="form-group">
            <label>Ngày tạo đơn</label>
            <input class="form-control" id="input-ngày-tao" placholder="...">
        </div>
        <div class="form-group">
            <label>Ngày cập nhật</label>
            <input class="form-control" id="input-ngay-cap-nhat" placholder="...">
        </div>
        <div class="form-group">
            <button class="btn btn-group btn-success" id="btn-comfirm" onclick="onBtnComfirmClick()">Comfirm</button>
            <button class="btn btn-group btn-info" id="btn-cancel" onclick="onBtnCancelClick()">Cancel</button>
        </div>
    </div>
</body>
<script>
    //REGION 1
    "use strict";
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    var gOderCode = "";
    var gId = 0;

    //REGION 2
    //REGION 3
    function onPageLoading(){
        "use strict";
        //b1: thu thập dữ liệu
        var vGetDataQueryString = getDataQueryString();
        //b2: kiểm tra dữ liệu;
        var vDuLieuHopLe = validateData(gId, gOderCode);
        if(vDuLieuHopLe){
            //b3: gọi api
            var vXMLHttp = new XMLHttpRequest();
            callApiOrderByOrderCode(vXMLHttp, gOderCode);
            //hàm hiển thị thông tin
            displayInformation(vXMLHttp);
        }
    }
    //REGION 4
    //hàm thu thập dữ liệu
    function getDataQueryString(){
        //lấy chuổi querystring
        var vQueryString = window.location.href;
        //dùng search params để phân tích chuổi querystring và lấy các tham số
        var vUrl = new URL(vQueryString);
        console.log(vQueryString);
        //lấy các tham số id và orderCode trên chuổi queryString
        gOderCode = vUrl.searchParams.get("ordercode");
        gId = vUrl.searchParams.get("id");

        console.log("id: " + gOderCode);
        console.log("orderCode: " + gId);

    }
    //hàm kiểm tra dữ liệu
    function validateData(paramId, paramOrderCode){
        if(paramId = 0 || paramOrderCode == ""){
            alert("Không tim thấy thông tin");
            window.location.href = "http://127.0.0.1:5500/2023-04-11/Ma%20nguon%20Pizza365%20v1.0_Start.v2.0/pizza365index.html";
            return false;
        }
        else{
            alert("thông tin tồn tại");
        }
        return true;
    }
    //hàm gọi Api lấy thông tin đơn hàng (order) theo orderCode (mã đơn hàng)
    function callApiOrderByOrderCode(paramXmlHttp, paramOrderCode) {
        "use strict";
        const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
        paramXmlHttp.open("GET", vBASE_URL + "/" + paramOrderCode, true);
        paramXmlHttp.send();
    }
     //hàm hiển thị thông tin
     function displayInformation(paramXmlHttp){
        paramXmlHttp.onreadystatechange =
            function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                    console.log(paramXmlHttp.responseText);
                    
                }
            }
    }
    //hàm chuyển JSON về Obj theo orderCode và đổ dữ liệu vào các từ trường trên form
    function handleLoadDataToFrom(paramResponseText){
        var vOrderCodeObj = JSON.parse(paramResponseText.responseText);

        var vInputOrderCode = document.getElementById("input-order");
        vInputOrderCode.value = vOrderCodeObj.orderCode;

        var vSelectCoCombo = document.getElementById("select-combo");
        vSelectCoCombo.value = vOrderCodeObj.kichCo;

        var vInPutDuongKinh = document.getElementById("input-duong-kinh");
        vInPutDuongKinh.value = vOrderCodeObj.duongKinh;

        var vInputSuongNuong = document.getElementById("input-suong-nuong");
        vInputSuongNuong.value = vOrderCodeObj.suon;


        var vSelectDrink = document.getElementById("select-drink");
        // Lấy danh sách tất cả các tùy chọn cho danh sách thả xuống
        var vOptions = vSelectDrink.options;

        for (var bI = 0; bI < vOptions.length; bI++) {
        var bOption = vOptions[bI];
        // Kiểm tra giá trị của thuộc tính "value" của tùy chọn
        if (bOption.value == vOrderCodeObj.idLoaiNuocUong) {
            // Nếu giá trị tương ứng, đánh dấu tùy chọn đó là đã chọn
            bOption.selected = true;
            break;
        }
        }
        vSelectDrink.option = vOrderCodeObj.idLoaiNuocUong;


        var vInputSoLuongNuoc = document.getElementById("input-so-luong-nuoc-uong");
        vInputSoLuongNuoc.value = vOrderCodeObj.soLuongNuoc;

        var vInputVoucher = document.getElementById("input-voucher");
        vInputVoucher.value = vOrderCodeObj.idVourcher;

        var vSelectLoaiPizza = document.getElementById("select-pizza");
        vSelectLoaiPizza.value = vOrderCodeObj.loaiPizza;

        var vInputSalad = document.getElementById("input-salad");
        vInputSalad.value = vOrderCodeObj.salad;

        var vInputThanhTien = document.getElementById("input-thanh-tien");
        vInputThanhTien.value = vOrderCodeObj.thanhTien;

        var vInputGiamGia = document.getElementById("input-giam-gia");
        vInputGiamGia.value = vOrderCodeObj.giamGia;

        var vInputHoTen = document.getElementById("input-ho-ten");
        vInputHoTen.value = vOrderCodeObj.hoTen;

        var vInputEmail = document.getElementById("input-email");
        vInputEmail.value = vOrderCodeObj.email;

        var vInputSDT = document.getElementById("input-so-dien-thoai");
        vInputSDT.value = vOrderCodeObj.soDienThoai;

        var vInputDiaChi = document.getElementById("input-dia-chi");
        vInputDiaChi.value = vOrderCodeObj.diaChi;

        var vInputLoiNhan = document.getElementById("input-loi-nhan");
        vInputLoiNhan.value = vOrderCodeObj.loiNhan;

        var vInputTrangThaiDon = document.getElementById("input-trang-thai-dh");
        vInputTrangThaiDon.value = vOrderCodeObj.trangThai;

        var vInputNgayTaoDon = document.getElementById("input-ngày-tao");
        vInputNgayTaoDon.value = vOrderCodeObj.ngayTao;

        var vInputNgayCapNhat = document.getElementById("input-ngay-cap-nhat");
        vInputNgayCapNhat.value = vOrderCodeObj.ngayCapNhat;
    }
</script>
</html>